> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getnimbus.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token holding by address

> Retrieves holding information for a given address, including token balances and their values



## OpenAPI

````yaml /api-reference/openapi.json get /v2/address/{address}/holding
openapi: 3.0.0
info:
  title: Nimbus API
  version: 1.0.0
  description: >-
    API for Nimbus


    ## Rate Limiting

    This API implements rate limiting to ensure fair usage and protect our
    services. The current rate limit is:


    - **40 requests per 1 minute** per IP address


    If you exceed this limit, you will receive a 429 (Too Many Requests)
    response. Please wait for the rate limit window to reset before making
    additional requests.


    If you need more, please contact us at **thanhle@getnimbus.io** or TG
    **@thanhle27** to get premium API Key.
servers:
  - url: https://api.getnimbus.io
    description: API server
security: []
tags: []
paths:
  /v2/address/{address}/holding:
    get:
      tags:
        - Address
      summary: Get Token holding by address
      description: >-
        Retrieves holding information for a given address, including token
        balances and their values
      parameters:
        - in: path
          name: address
          required: true
          schema:
            type: string
          example: '0x692853c81afc8f847147c8a8b4368dc894697fc12b929ef3071482d27339815e'
          description: The address to get holding information for
        - in: query
          name: chain
          schema:
            type: string
            enum:
              - BTC
              - SOL
              - SUI
              - TON
              - ETH
              - FANTOM
              - RON
              - BNB
              - OP
              - AVAX
              - MATIC
              - ARB
              - BASE
              - SCROLL
              - ZKSYNC
              - ALL
          description: The blockchain to query (default is "ALL")
        - in: query
          name: force_refresh
          schema:
            type: boolean
          description: Force a refresh of the data instead of using cached results
        - in: query
          name: includePnl
          schema:
            type: boolean
            default: false
          description: Include profit and loss information (default is false)
      responses:
        '200':
          description: Successful response with paginated holding information
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/HoldingResponse'
        '400':
          description: Invalid address provided
        '401':
          description: Unauthorized access for CEX addresses without owner
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  schemas:
    HoldingResponse:
      type: object
      properties:
        owner:
          type: string
          description: The owner's address
          example: '0x7383b5e076553f79822374baca843c8fac02d510fb0f4ab344fc7ab591be94a7'
        name:
          type: string
          description: Token name
          example: suirwd.io - Sui Reward Token
        symbol:
          type: string
          description: Token symbol
          example: SUIRWD.IO
        logo:
          type: string
          nullable: true
          description: URL to token logo
          example: https://suicamp.b-cdn.net/suireward/suirwd_icon.png
        amount:
          type: string
          description: Formatted token amount
          example: '9683.2'
        amountRaw:
          type: string
          description: Raw token amount
          example: '9683200000000'
        balance:
          type: string
          description: Token balance
          example: '9683.2'
        contractAddress:
          type: string
          description: Token contract address
          example: >-
            0xca2c295de7931476539e5fc68e96c289f84bb0967d579b13e1fbf84412c87eb4::SuiReward::SUIREWARD
        contractDecimals:
          type: integer
          description: Token decimals
          example: 9
        rate:
          type: number
          description: Token rate
          example: 0
        price:
          type: object
          properties:
            price:
              type: number
              example: 0
            symbol:
              type: string
              example: SUIRWD.IO
            decimal:
              type: integer
              example: 9
            source:
              type: string
              example: C
        last_24h_price:
          type: string
          format: date-time
          nullable: true
          description: Price change in last 24 hours
        avgCost:
          type: number
          description: Average cost of token
          example: 0
        last_transferred_at:
          type: string
          format: date-time
          nullable: true
          description: Timestamp of last transfer
        positionId:
          type: string
          description: Unique position identifier
          example: >-
            SUI-0xca2c295de7931476539e5fc68e96c289f84bb0967d579b13e1fbf84412c87eb4::SuiReward::SUIREWARD
        category:
          type: string
          description: Token category
          example: Other
        sector:
          type: string
          description: Token sector
          example: Other
        rank:
          type: string
          description: Token rank
          example: No rank yet
        positionType:
          type: string
          description: Type of position
          example: token
        chain:
          type: string
          description: Blockchain network
          example: SUI
        is_spam:
          type: boolean
          description: Whether token is marked as spam
          example: true
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication
      x-default: nimbus-6a7c85b1-99f4-4d99-b8f3-e6e49b8daad0

````